<?php 
/*===================================
=            Header SEO             =
===================================*/

add_action('wp_head', 'arefly_v1_header_seo');
function arefly_v1_header_seo(){
?>
<?php if ( is_home() ) { ?><title><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?></title><?php } ?>
<?php if ( is_search() ) { ?><title><?php printf(__('Search Results for "%s"', 'arefly-v1'), get_search_query()); ?> | <?php bloginfo('name'); ?></title><?php } ?>
<?php if ( is_404() ) { ?><title><?php _e('File Not Found', 'arefly-v1'); ?> | <?php bloginfo('name'); ?></title><?php } ?>
<?php if ( is_single() ) { ?><title><?php echo trim(wp_title('',0)); ?> | <?php bloginfo('name'); ?></title><?php } ?>
<?php if ( is_page() ) { ?><title><?php echo trim(wp_title('',0)); ?> | <?php bloginfo('name'); ?></title><?php } ?>
<?php if ( is_category() ) { ?><title><?php single_cat_title(); ?> | <?php bloginfo('name'); ?></title><?php } ?>
<?php if ( is_month() ) { ?><title><?php the_time('F'); ?> | <?php bloginfo('name'); ?></title><?php } ?>
<?php if ( is_tag() ) { ?><title><?php single_tag_title('', true); ?> | <?php bloginfo('name'); ?></title><?php } ?>
<?php if ( is_author() ) { ?><title><?php printf(__('%s\'s All Posts', 'arefly-v1'), wp_title('')); ?> | <?php bloginfo('name'); ?></title><?php } ?>
<?php
if ( is_single() ){
	global $post;
	$morestring = "<!--more-->";
	$explodemore = explode($morestring, $post->post_content);
	if(!empty($explodemore[1])){			// If <!--more--> tag exist
		$description = $explodemore[0];
	} else if ($post->post_excerpt) {
		$description = $post->post_excerpt;
	} else {
		if(preg_match('/<p>(.*)<\/p>/iU',trim(strip_tags($post->post_content,"<p>")),$result)){
			$post_content = $result['1'];
		} else {
			$post_content_r = explode("\n",trim(strip_tags($post->post_content)));
			$post_content = $post_content_r['0'];
		}
		$description = mb_substr($post_content, 0, 220);
	}
	$keywords = "";     
	$tags = wp_get_post_tags($post->ID);
	foreach ($tags as $tag ) {
		$keywords = $keywords . $tag->name . ", ";
	}
}
?>

<?php if ( is_single() ) { ?>
<meta name="description" content="<?php echo strip_tags(trim($description)); ?>" />
<meta name="keywords" content="<?php echo rtrim($keywords, ','); ?>" />
<?php } else if ( is_page() ) { ?>
<meta name="description" content="<?php echo strip_tags(get_post_meta($post->ID, 'description', true)); ?>" />
<meta name="keywords" content="<?php echo get_post_meta($post->ID, 'keywords', true); ?>" />
<?php } else if ( is_category() ) { ?>
<meta name="description" content="<?php echo strip_tags(category_description($categoryID)); ?>" />
<?php } else if ( is_tag() ) { ?>
<meta name="description" content="<?php echo single_tag_title(); ?>" />
<?php } else if ( is_home() ) { ?>
<meta name="description" content="<?php echo strip_tags(get_option('arefly_v1_seo_description')); ?>" />
<meta name="keywords" content="<?php echo get_option('arefly_v1_seo_keyword'); ?>" />
<?php } ?>
<?php } ?>